org.gradle.nativebinaries

## Interface SharedLibraryBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, Named, NativeBinarySpec, NativeLibraryBinarySpec

      @Incubating
      public interface SharedLibraryBinarySpec
      extends NativeLibraryBinarySpec

  A shared library binary built by Gradle for a native library.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getSharedLibraryFile()` The shared library file.
    `File` | `getSharedLibraryLinkFile()` The shared library link file.
    `void` | `setSharedLibraryFile(File sharedLibraryFile)` The shared library file.
    `void` | `setSharedLibraryLinkFile(File sharedLibraryLinkFile)` The shared library link file.

    - ### Methods inherited from interface org.gradle.nativebinaries.NativeBinarySpec

      `getBuildType, getComponent, getFlavor, getLibs, getLinker, getStaticLibArchiver, getTargetPlatform, getTasks, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.runtime.base.BinarySpec

      `getDisplayName, getSource, isBuildable, source`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getSharedLibraryFile

          File getSharedLibraryFile()

      The shared library file.

    - #### getSharedLibraryLinkFile

          File getSharedLibraryLinkFile()

      The shared library link file.

    - #### setSharedLibraryFile

          void setSharedLibraryFile(File sharedLibraryFile)

      The shared library file.

    - #### setSharedLibraryLinkFile

          void setSharedLibraryLinkFile(File sharedLibraryLinkFile)

      The shared library link file.